package com.os.ems.report.controller;

import com.os.common.annotation.Log;
import com.os.common.core.controller.BaseController;
import com.os.common.core.domain.AjaxResult;
import com.os.common.core.page.TableDataInfo;
import com.os.common.enums.BusinessType;
import com.os.common.utils.poi.ExcelUtil;
import com.os.ems.report.domain.EnergyStatisticalReport;
import com.os.ems.report.service.IEmsReportPointDnbService;
import com.os.ems.report.service.IEmsReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;


/**
 * import java.util.List;Controller
 *
 * @author Yinq
 * @date 2024-05-22
 */
@RestController
@RequestMapping("/ems/report")
public class EmsReportController extends BaseController {

    @Autowired
    private IEmsReportService emsReportService;

    /**
     * 统计能耗报表
     * @param hashMap
     * @return
     */
    @GetMapping("/energyStatisticalReportList")
    public TableDataInfo energyStatisticalReportList(@RequestParam(required = false) Map hashMap) {
        startPage();
        List<EnergyStatisticalReport> list = emsReportService.energyStatisticalReportList(hashMap);
        return getDataTable(list);
    }

    /**
     * 导出统计能耗报表
     */
    @PostMapping("/energyStatisticalReportList/export" )
    public void export(HttpServletResponse response, @RequestParam(required = false) Map hashMap) {
        List<EnergyStatisticalReport> list = emsReportService.energyStatisticalReportList(hashMap);
        ExcelUtil<EnergyStatisticalReport> util = new ExcelUtil<>(EnergyStatisticalReport. class);
        util.exportExcel(response, list, "统计能耗报表" );
    }

}
