package com.os.ems.report.service.impl;

import com.os.ems.report.domain.EnergyStatisticalReport;
import com.os.ems.report.mapper.EmsReportMapper;
import com.os.ems.report.service.IEmsReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * 能源报表Service业务层处理
 *
 * @author Yinq
 * @date 2024-05-22
 */
@Service
public class EmsReportServiceImpl implements IEmsReportService {
    @Autowired
    private EmsReportMapper emsReportMapper;


    /**
     * 统计能耗报表
     * @param hashMap
     * @return
     */
    @Override
    public List<EnergyStatisticalReport> energyStatisticalReportList(Map hashMap) {
        if (!hashMap.containsKey("dateType")){
            return null;
        }
        hashMap.put("timeSub", Integer.parseInt(String.valueOf(hashMap.get("dateType"))));
        return emsReportMapper.energyStatisticalReportList(hashMap);
    }
}
